Minute Maze Major Milestones
============================

# v0.1
- [x] draw mazes with auto-tiling
- [x] detect colisions
- [x] victory conditions

# v0.2
- [x] more intuitive input sceme with visible d-pad anchor (#1)
- [x] WASD movement
- [x] block arrows while game is paused
- [x] twistier maze designs
- [x] screenshots in metadata dir

Faster pace:
- [x] better collision detection at high velocity
- [x] lower or no friction when rubbing against a wall
- [x] time bonnus on perfect runs

Sound design
- [x] steps
- [x] victory
- [x] pre-race tones
- [x] race is on: firebrand!
  - [x] pause while game is paused
- [x] idle music: Evil Incoming

# v0.3
- [ ] power ups that require a detour to reach
- [ ] victory animation
- [ ] more intuitive viz os the d-pad
- [ ] audio artifact at the start of the Go tune
- [ ] crash at the start of the 2nd maze on web exports
- [x] animation of pathfinding algo
