# Copyright © 2024 Yannick Gingras <ygingras@ygingras.net> and contributors

# This file is part of Minute Maze.

# Minute Maze is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# Minute Maze is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with Minute Maze.  If not, see <https://www.gnu.org/licenses/>.

## Constants
class_name Consts extends RefCounted

const COORD_INVALID = Vector2i(-1, -1)
const VERSION := "0.2.1"
const VERSION_CODE := 201
const SETTINGS_PATH := "user://settings.tres"

const START_WIDTH := 11
const VJOY_ACCEL := 1.02
const MAX_PACE := 650
const BASE_SPEED := 450.0

const PATH_ANIM_SECS = 4.0

enum InputStyles {
	DPAD, 
	VJOY
}
